.new-button-login {
  height: calc(100% - 48px);
  background-color: $primary;
  padding-left: 1rem;
  padding-right: 1rem;
  margin-top: 3rem;
  overflow-y: auto;
  &__main-page {
    height: 100%;
    margin-top: 0;
    padding-top: 3rem;
  }
  & > .row {
    height: auto;
  }
  &__inputs-container {
    padding-left: 0;
    padding-right: 0;
    max-width: rem(500px);

    margin-top: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100%;
    min-height: 370px;
  }
  &--max-height {
    height: calc(100% - 48px);
  }
  &__modal-content {
    min-height: 100%;
    display: flex;
    align-items: flex-end;
  }
}

@media screen and (min-width: 992px) {
  .new-button-login {
    height: calc(90vh - 48px);
    border-radius: rem(8px);
    margin-top: rem(48px);
    position: relative;
    z-index: 50;
    overflow-y: auto;
    &__main-page {
      height: unset;
      margin-top: 0;
      padding-top: 3rem;
      min-height: calc(100% - 75px);
      display: flex;
      justify-content: center;
      background-color: #FFDD02;
      padding-left: 1rem;
      padding-right: 1rem;
      overflow-y: unset;
      height: unset;
      border-radius: unset;
    }
    &--taller {
      min-height: calc(100%);
    }
    &__modal {
      margin-top: 3rem;
      margin-left: auto;
      padding: 0;
      margin-right: auto;
      background: none;
      &-content {
        min-height: 100%;
        display: flex;
        align-items: flex-end;
        margin-left: auto;
        margin-right: auto;
        max-width: rem(500px);
        background: $primary;
        position: relative;
        z-index: 2;
        border: none;
        border-radius: 0 0 .5rem .5rem;
        padding-top: 0;
        padding-bottom: 0;
        &:focus {
          outline: none;
        }
      }
    }
    &__close-container {
      height: calc(90vh - 48px);
      position: absolute;
      top: 0;
      z-index: 1;
      width: 100%;
      border: none;
      background: none;
      padding: 0;
    }
    &__inputs-container {
      margin-top: auto;
    }
  }
}
